Opened 3 years ago

Last modified 6 months ago

#2195 reopened Task

HPC-08_XXX_fldread_with_XIOS

Reported by: smasson Owned by: andmirek
Priority: high Milestone: Unscheduled
Component: SBC Version: trunk
Severity: minor Keywords:
Cc: Branch review: failed
MP ready?: no Task progress: I have implemented use of XIOS to read weights file and initial conditions. Next step is to use it to read forcing files. There are few issues related to the way XIOS handles reading which may make implementation difficult. First XIOS can't read data from files split in time (it writes data without any problems) and this is what happens in MetOffice configuration. In addition XIOS can't jump between time records - it can read only next time record. As a result replicating full functionality currently in NEMO will be difficult. Inability of XIOS to jump between records makes reading forcing difficult if there is time interpolation involved and forcing for different parts have different frequencies.

Description (last modified by andmirek)

Summary

Action Fldread with XIOS
PI(S) to be decided…
Digest use XIOS in fldread
Dependencies
Branch NEMO/branches/2019/dev_r11351_fldread_with_XIOS
Previewer(s)
Reviewer(s)
Wiki wiki:2019WP/HPC-08_XXX_fldread_with_XIOS?

Abstract

Use XIOS in fldread to read input files.
I suspect, for example, that when a few thousand cores are trying to access the same file every few time steps (at least for ORCA1) it is not very good for the performances…

Description

Open question on the usage of the interpolation schemes included in XIOS. Should it replace the on the fly interpolation?
Open question on the possibility to read the file without XIOS? Should we keep it or not?

Implementation

Describe flow chart of the changes in the code.
List the .F90 files and modules to be changed.
Detailed list of new variables (including namelists) to be defined, give for each the chosen name (following coding rules) and definition.

Reference manual and web pages updates

Using part 1 and 2, define the summary of changes to be done in reference manuals (tex files), guide (rst files) and in the content of web pages.

Once the PI has completed this section, he should send a mail to the previewer(s) asking them to preview the work within two weeks.

Commit History (5)

ChangesetAuthorTimeChangeLog
13463andmirek2020-09-14T17:40:34+02:00

Ticket #2195:update to trunk 13461

11485andmirek2019-08-29T15:05:05+02:00

Ticket #2195 add namelist variable enabling using XIOS to read tsd

11482andmirek2019-08-29T13:15:12+02:00

Ticket #2195 read initial conditions with XIOS

11405andmirek2019-08-06T15:16:49+02:00

ticket #2195: read weights for blk using XIOS

11396andmirek2019-08-02T16:28:55+02:00

branch for ticket #2195

Change History (17)

comment:1 Changed 3 years ago by smasson

  • Owner set to systeam
  • Status changed from new to assigned

comment:2 Changed 3 years ago by nicolasmartin

  • Type changed from Enhancement to Task

comment:3 Changed 3 years ago by smasson

  • Description modified (diff)

comment:4 Changed 3 years ago by nemo

  • Priority changed from low to high

comment:5 Changed 2 years ago by andmirek

In 11396:

branch for ticket #2195

comment:6 Changed 2 years ago by andmirek

Last edited 2 years ago by andmirek (previous) (diff)

comment:7 Changed 2 years ago by andmirek

In 11405:

ticket #2195: read weights for blk using XIOS

Last edited 2 years ago by andmirek (previous) (diff)

comment:8 Changed 2 years ago by andmirek

In the commit 11405 weights set in namsbc_blk can be read using XIOS. lxios_blkw in in_out_manager.F90 controls what method is used to read weights .TRUE. - XIOS, .FALSE - iom_nf90_get (set to .TRUE. by default).

Last edited 2 years ago by andmirek (previous) (diff)

comment:9 Changed 2 years ago by andmirek

  • Owner changed from systeam to andmirek

comment:10 Changed 2 years ago by andmirek

In 11482:

Ticket #2195 read initial conditions with XIOS

comment:11 Changed 2 years ago by andmirek

  • Description modified (diff)
  • MP ready? set to no
  • Task progress set to I have implemented use of XIOS to read weights file and initial conditions. Next step is to use it to read forcing files. There are few issues related to the way XIOS handles reading which may make implementation difficult. First XIOS can't read data from files split in time (it writes data without any problems) and this is what happens in MetOffice configuration. In addition XIOS can't jump between time records - it can read only next time record. As a result replicating full functionality currently in NEMO will be difficult. Inability of XIOS to jump between records makes reading forcing difficult if there is time interpolation involved and forcing for different parts have different frequencies.

comment:12 Changed 2 years ago by andmirek

In 11485:

Ticket #2195 add namelist variable enabling using XIOS to read tsd

comment:13 Changed 22 months ago by andmirek

To be continued in 2020

comment:14 Changed 21 months ago by andmirek

  • Resolution set to wontfix
  • Status changed from assigned to closed

comment:15 Changed 13 months ago by andmirek

  • Resolution wontfix deleted
  • Status changed from closed to reopened

Reopen this ticket

comment:16 Changed 13 months ago by andmirek

In 13463:

Ticket #2195:update to trunk 13461

comment:17 Changed 6 months ago by nemo

  • Milestone changed from 2019 WP to Unscheduled
Note: See TracTickets for help on using tickets.